%define module_name Net-AmazonS3-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AWS/Signature4.pm) perl(Class/Tiny.pm) perl(Digest/MD5.pm) perl(HTTP/Request.pm) perl(LWP/UserAgent.pm) perl(Mock/Quick.pm) perl(Module/Build/Tiny.pm) perl(Path/Tiny.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.4
Release: alt1
Summary: simple S3 client support signature v4
Group: Development/Perl
License: perl
URL: https://github.com/JaSei/Net-AmazonS3-Simple

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JASEI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This S3 client have really simple interface and support only get object (yet).

This S3 client use the AWS::Signature4 manpage. Signature v4 is needed for EU AWS region (for other regions is optionable).
If you need other region, I recommend some other S3 client (SEE_ALSO).


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/N*

%changelog
* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1
- regenerated from template by package builder

* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1
- initial import by package builder

